Result of following commands:

cp -a bash-completion-2.15.0 bash-completion-2.15.0.old

find bash-completion-2.15.0/completions/ -type f -exec sed -i 's/ grep / ggrep /g' {} \;
find bash-completion-2.15.0/completions/ -type f -exec sed -i 's/ sed / gsed /g' {} \;

find bash-completion-2.15.0/bash_completion -type f -exec sed -i 's/ grep / ggrep /g' {} \;
find bash-completion-2.15.0/bash_completion -type f -exec sed -i 's/ sed / gsed /g' {} \;

gdiff -pruN bash-completion-2.15.0.old bash-completion-2.15.0 | less

And check the result.
diff -pruN bash-completion-2.15.0.old/bash_completion bash-completion-2.15.0/bash_completion
--- bash-completion-2.15.0.old/bash_completion	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/bash_completion	2024-11-30 21:21:33.722327150 +0100
@@ -1709,7 +1709,7 @@ _comp_compgen_mac_addresses()
     _comp_compgen -v addresses split -- "$(
         {
             LC_ALL=C ifconfig -a || ip -c=never link show || ip link show
-        } 2>/dev/null | command sed -ne \
+        } 2>/dev/null | command gsed -ne \
             "s/.*[[:space:]]HWaddr[[:space:]]\{1,\}\($_re\)[[:space:]].*/\1/p" -ne \
             "s/.*[[:space:]]HWaddr[[:space:]]\{1,\}\($_re\)[[:space:]]*$/\1/p" -ne \
             "s|.*[[:space:]]\(link/\)\{0,1\}ether[[:space:]]\{1,\}\($_re\)[[:space:]].*|\2|p" -ne \
@@ -1720,13 +1720,13 @@ _comp_compgen_mac_addresses()
     _comp_compgen -av addresses split -- "$(
         {
             arp -an || ip -c=never neigh show || ip neigh show
-        } 2>/dev/null | command sed -ne \
+        } 2>/dev/null | command gsed -ne \
             "s/.*[[:space:]]\($_re\)[[:space:]].*/\1/p" -ne \
             "s/.*[[:space:]]\($_re\)[[:space:]]*$/\1/p"
     )"
 
     # /etc/ethers
-    _comp_compgen -av addresses split -- "$(command sed -ne \
+    _comp_compgen -av addresses split -- "$(command gsed -ne \
         "s/^[[:space:]]*\($_re\)[[:space:]].*/\1/p" /etc/ethers 2>/dev/null)"
 
     _comp_compgen -U addresses ltrim_colon "${addresses[@]}"
@@ -1741,22 +1741,22 @@ _comp_compgen_configured_interfaces()
     if [[ -f /etc/debian_version ]]; then
         # Debian system
         _comp_expand_glob files '/etc/network/interfaces /etc/network/interfaces.d/*' || return 0
-        _comp_compgen -U files split -- "$(command sed -ne \
+        _comp_compgen -U files split -- "$(command gsed -ne \
             's|^iface \([^ ]\{1,\}\).*$|\1|p' "${files[@]}" 2>/dev/null)"
     elif [[ -f /etc/SuSE-release ]]; then
         # SuSE system
         _comp_expand_glob files '/etc/sysconfig/network/ifcfg-*' || return 0
         _comp_compgen -U files split -- "$(printf '%s\n' "${files[@]}" |
-            command sed -ne 's|.*ifcfg-\([^*].*\)$|\1|p')"
+            command gsed -ne 's|.*ifcfg-\([^*].*\)$|\1|p')"
     elif [[ -f /etc/pld-release ]]; then
         # PLD Linux
         _comp_compgen -U files split -- "$(command ls -B /etc/sysconfig/interfaces |
-            command sed -ne 's|.*ifcfg-\([^*].*\)$|\1|p')"
+            command gsed -ne 's|.*ifcfg-\([^*].*\)$|\1|p')"
     else
         # Assume Red Hat
         _comp_expand_glob files '/etc/sysconfig/network-scripts/ifcfg-*' || return 0
         _comp_compgen -U files split -- "$(printf '%s\n' "${files[@]}" |
-            command sed -ne 's|.*ifcfg-\([^*].*\)$|\1|p')"
+            command gsed -ne 's|.*ifcfg-\([^*].*\)$|\1|p')"
     fi
 }
 
@@ -1781,7 +1781,7 @@ _comp_compgen_ip_addresses()
     _comp_compgen -v addrs split -- "$({
         LC_ALL=C ifconfig -a || ip -c=never addr show || ip addr show
     } 2>/dev/null |
-        command sed -e 's/[[:space:]]addr:/ /' -ne \
+        command gsed -e 's/[[:space:]]addr:/ /' -ne \
             "s|.*inet${_n}[[:space:]]\{1,\}\([^[:space:]/]*\).*|\1|p")" ||
         return
 
@@ -1922,17 +1922,17 @@ if [[ $OSTYPE == *@(solaris|aix)* ]]; th
     # This function completes on process IDs.
     _comp_compgen_pids()
     {
-        _comp_compgen_split -- "$(command ps -efo pid | command sed 1d)"
+        _comp_compgen_split -- "$(command ps -efo pid | command gsed 1d)"
     }
 
     _comp_compgen_pgids()
     {
-        _comp_compgen_split -- "$(command ps -efo pgid | command sed 1d)"
+        _comp_compgen_split -- "$(command ps -efo pgid | command gsed 1d)"
     }
     _comp_compgen_pnames()
     {
         _comp_compgen_split -X '<defunct>' -- "$(command ps -efo comm |
-            command sed -e 1d -e 's:.*/::' -e 's/^-//' | sort -u)"
+            command gsed -e 1d -e 's:.*/::' -e 's/^-//' | sort -u)"
     }
 else
     _comp_compgen_pids()
@@ -1948,7 +1948,7 @@ else
     {
         local -a procs=()
         if [[ ${1-} == -s ]]; then
-            _comp_split procs "$(command ps ax -o comm | command sed -e 1d)"
+            _comp_split procs "$(command ps ax -o comm | command gsed -e 1d)"
         else
             # Some versions of ps don't support "command", but do "comm", e.g.
             # some busybox ones. Fall back
@@ -2090,7 +2090,7 @@ _comp_complete_service()
     else
         local sysvdirs
         _comp_sysvdirs || return 1
-        _comp_compgen_split -l -- "$(command sed -e 'y/|/ /' \
+        _comp_compgen_split -l -- "$(command gsed -e 'y/|/ /' \
             -ne 's/^.*\(U\|msg_u\)sage.*{\(.*\)}.*$/\2/p' \
             "${sysvdirs[0]}/${prev##*/}" 2>/dev/null) start stop"
     fi
@@ -2120,7 +2120,7 @@ _comp_compgen_kernel_modules()
 {
     local _modpath=/lib/modules/$1
     _comp_compgen_split -- "$(command ls -RL "$_modpath" 2>/dev/null |
-        command sed -ne 's/^\(.*\)\.k\{0,1\}o\(\.[gx]z\)\{0,1\}$/\1/p' \
+        command gsed -ne 's/^\(.*\)\.k\{0,1\}o\(\.[gx]z\)\{0,1\}$/\1/p' \
             -e 's/^\(.*\)\.ko\.zst$/\1/p')"
 }
 
@@ -2443,7 +2443,7 @@ _comp_compgen_dvd_devices()
 _comp_compgen_terms()
 {
     _comp_compgen_split -- "$({
-        command sed -ne 's/^\([^[:space:]#|]\{2,\}\)|.*/\1/p' /etc/termcap
+        command gsed -ne 's/^\([^[:space:]#|]\{2,\}\)|.*/\1/p' /etc/termcap
         {
             toe -a || toe
         } | _comp_awk '{ print $1 }'
@@ -2458,7 +2458,7 @@ _comp_try_faketty()
 {
     if type unbuffer &>/dev/null; then
         unbuffer -p "$@"
-    elif script --version 2>&1 | command grep -qF util-linux; then
+    elif script --version 2>&1 | command ggrep -qF util-linux; then
         # BSD and Solaris "script" do not seem to have required features
         script -qaefc "$*" /dev/null
     else
@@ -2539,7 +2539,7 @@ _comp__included_ssh_config_files()
     # https://github.com/openssh/openssh-portable/blob/5ec5504f1d328d5bfa64280cd617c3efec4f78f3/readconf.c#L2240
     local max_depth=16
     while ((${#included[@]} > 0 && depth++ < max_depth)); do
-        _comp_split include_files "$(command sed -ne 's/^[[:blank:]]*[Ii][Nn][Cc][Ll][Uu][Dd][Ee][[:blank:]]\(.*\)$/\1/p' "${included[@]}")" || return
+        _comp_split include_files "$(command gsed -ne 's/^[[:blank:]]*[Ii][Nn][Cc][Ll][Uu][Dd][Ee][[:blank:]]\(.*\)$/\1/p' "${included[@]}")" || return
         included=()
         for i in "${include_files[@]}"; do
             if [[ $i != [~/]* ]]; then
@@ -2737,7 +2737,7 @@ _comp_compgen_known_hosts__impl()
     # append any available aliases from ssh config files
     if [[ ${#config[@]} -gt 0 && $aliases ]]; then
         local -a hosts
-        if _comp_split hosts "$(command sed -ne 's/^[[:blank:]]*[Hh][Oo][Ss][Tt][[:blank:]=]\{1,\}\(.*\)$/\1/p' "${config[@]}")"; then
+        if _comp_split hosts "$(command gsed -ne 's/^[[:blank:]]*[Hh][Oo][Ss][Tt][[:blank:]=]\{1,\}\(.*\)$/\1/p' "${config[@]}")"; then
             _comp_compgen -av known_hosts -- -P "$prefix" \
                 -S "$suffix" -W '"${hosts[@]%%[*?%]*}"' -X '@(\!*|)'
         fi
@@ -3046,7 +3046,7 @@ _comp_complete_longopt()
             return
             ;;
         --+([-a-z0-9_]))
-            local argtype=$(LC_ALL=C $1 --help 2>&1 | command sed -ne \
+            local argtype=$(LC_ALL=C $1 --help 2>&1 | command gsed -ne \
                 "s|.*$prev\[\{0,1\}=[<[]\{0,1\}\([-A-Za-z0-9_]\{1,\}\).*|\1|p")
             case ${argtype,,} in
                 *dir*)
@@ -3081,9 +3081,9 @@ _comp_complete_longopt()
 complete -F _comp_complete_longopt \
     a2ps awk base64 bash bc bison cat chroot colordiff cp \
     csplit cut date df diff dir du enscript expand fmt fold gperf \
-    grep grub head irb ld ldd less ln ls m4 mkdir mkfifo mknod \
+    ggrep grub head irb ld ldd less ln ls m4 mkdir mkfifo mknod \
     mv netstat nl nm objcopy objdump od paste pr ptx readelf rm rmdir \
-    sed seq shar sort split strip sum tac tail tee \
+    gsed seq shar sort split strip sum tac tail tee \
     texindex touch tr uname unexpand uniq units vdir wc who
 
 # @since 2.12
diff -pruN bash-completion-2.15.0.old/completions/_adb bash-completion-2.15.0/completions/_adb
--- bash-completion-2.15.0.old/completions/_adb	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/_adb	2024-11-30 21:20:52.392491627 +0100
@@ -6,7 +6,7 @@
 _comp_cmd_adb__command_usage()
 {
     _comp_compgen_help - <<<"$("$1" help 2>&1 |
-        command sed -e "/^ *\(adb \)\{0,1\} *$2 /!d;s/[]|[]/\n/g")"
+        command gsed -e "/^ *\(adb \)\{0,1\} *$2 /!d;s/[]|[]/\n/g")"
 }
 
 _comp_cmd_adb()
@@ -57,7 +57,7 @@ _comp_cmd_adb()
             ;;
         forward)
             _comp_compgen_help - <<<"$("$1" help 2>&1 |
-                command sed -ne "s/^ *adb  *forward  *-/-/p")"
+                command gsed -ne "s/^ *adb  *forward  *-/-/p")"
             ;;
         reboot)
             _comp_compgen -- -W 'bootloader recovery'
diff -pruN bash-completion-2.15.0.old/completions/_mock bash-completion-2.15.0/completions/_mock
--- bash-completion-2.15.0.old/completions/_mock	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/_mock	2024-11-30 21:20:52.079328169 +0100
@@ -47,7 +47,7 @@ _comp_cmd_mock()
             # (e.g. ix86 chroot builds in x86_64 mock host)
             # This would actually depend on what the target root
             # can be used to build for...
-            _comp_compgen_split -- "$(command rpm --showrc | command sed -ne \
+            _comp_compgen_split -- "$(command rpm --showrc | command gsed -ne \
                 "s/^[[:space:]]*${regex_header}[[:space:]]*:[[:space:]]*\(.*\)/\1/p")"
             return
             ;;
diff -pruN bash-completion-2.15.0.old/completions/_modprobe bash-completion-2.15.0/completions/_modprobe
--- bash-completion-2.15.0.old/completions/_modprobe	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/_modprobe	2024-11-30 21:20:51.931274645 +0100
@@ -93,7 +93,7 @@ _comp_cmd_modprobe()
                     prev=${cur%%=*}
                     cur=${cur#*=}
                     if PATH="$PATH:/sbin" modinfo -p "$module" 2>/dev/null |
-                        command grep -q "^$prev:.*(bool)"; then
+                        command ggrep -q "^$prev:.*(bool)"; then
                         local choices="on off"
                         [[ $cur ]] && choices="1 0 y Y n N on off"
                         _comp_compgen -- -W "$choices"
diff -pruN bash-completion-2.15.0.old/completions/_modules bash-completion-2.15.0/completions/_modules
--- bash-completion-2.15.0.old/completions/_modules	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/_modules	2024-11-30 21:20:52.329835614 +0100
@@ -23,13 +23,13 @@
 
 _comp_cmd_module__compgen_list()
 {
-    local modules="$(command sed 's/:/ /g' <<<"$LOADEDMODULES" | sort)"
+    local modules="$(command gsed 's/:/ /g' <<<"$LOADEDMODULES" | sort)"
     _comp_compgen -- -W "$modules"
 }
 
 _comp_cmd_module__compgen_path()
 {
-    local modules="$(command sed 's/:/ /g' <<<"$MODULEPATH" | sort)"
+    local modules="$(command gsed 's/:/ /g' <<<"$MODULEPATH" | sort)"
     _comp_compgen -- -W "$modules"
 }
 
@@ -37,8 +37,8 @@ _comp_cmd_module__compgen_avail()
 {
     local modules="$(
         module avail 2>&1 |
-            command grep -E -v '^(-|$)' |
-            xargs printf '%s\n' | command sed -e 's/(default)//g' | sort
+            command ggrep -E -v '^(-|$)' |
+            xargs printf '%s\n' | command gsed -e 's/(default)//g' | sort
     )"
     _comp_compgen -- -W "$modules"
 }
@@ -53,8 +53,8 @@ _comp_cmd_module()
         # First parameter on line -- we expect it to be a mode selection
 
         local options
-        options="$(module help 2>&1 | command grep -E '^[[:space:]]*\+' |
-            _comp_awk '{print $2}' | command sed -e 's/|/ /g' | sort)"
+        options="$(module help 2>&1 | command ggrep -E '^[[:space:]]*\+' |
+            _comp_awk '{print $2}' | command gsed -e 's/|/ /g' | sort)"
 
         _comp_compgen -- -W "$options"
 
diff -pruN bash-completion-2.15.0.old/completions/_mount bash-completion-2.15.0/completions/_mount
--- bash-completion-2.15.0.old/completions/_mount	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/_mount	2024-11-30 21:20:52.015786530 +0100
@@ -46,8 +46,8 @@ _comp_cmd_mount()
         if [[ $host ]]; then
             _comp_compgen -c "${cur#//"$host"}" split -P "//$host" -- "$(
                 smbclient -d 0 -NL "$host" 2>/dev/null |
-                    command sed -ne '/^[[:blank:]]*Sharename/,/^$/p' |
-                    command sed -ne '3,$s|^[^A-Za-z]*\([^[:blank:]]*\).*$|/\1|p'
+                    command gsed -ne '/^[[:blank:]]*Sharename/,/^$/p' |
+                    command gsed -ne '3,$s|^[^A-Za-z]*\([^[:blank:]]*\).*$|/\1|p'
             )"
         fi
     elif [[ -r /etc/vfstab ]]; then
diff -pruN bash-completion-2.15.0.old/completions/_mount.linux bash-completion-2.15.0/completions/_mount.linux
--- bash-completion-2.15.0.old/completions/_mount.linux	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/_mount.linux	2024-11-30 21:20:52.428373980 +0100
@@ -238,8 +238,8 @@ _comp_cmd_mount()
         if [[ $host ]]; then
             _comp_compgen -c "${cur#//"$host"}" split -P "//$host" -- "$(
                 smbclient -d 0 -NL "$host" 2>/dev/null |
-                    command sed -ne '/^[[:blank:]]*Sharename/,/^$/p' |
-                    command sed -ne '3,$s|^[^A-Za-z]*\([^[:blank:]]*\).*$|/\1|p'
+                    command gsed -ne '/^[[:blank:]]*Sharename/,/^$/p' |
+                    command gsed -ne '3,$s|^[^A-Za-z]*\([^[:blank:]]*\).*$|/\1|p'
             )"
         fi
     fi
diff -pruN bash-completion-2.15.0.old/completions/_nox bash-completion-2.15.0/completions/_nox
--- bash-completion-2.15.0.old/completions/_nox	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/_nox	2024-11-30 21:20:52.236972131 +0100
@@ -4,7 +4,7 @@
 # This serves as a fallback in case the completion is not installed otherwise.
 
 eval -- "$(
-    pathcmd=$(type -P -- "$1" 2>/dev/null | command sed 's,/[^/]*$,,')
+    pathcmd=$(type -P -- "$1" 2>/dev/null | command gsed 's,/[^/]*$,,')
     [[ $pathcmd ]] && PATH=$pathcmd${PATH:+:$PATH}
     register-python-argcomplete --shell bash "$1" 2>/dev/null ||
         register-python-argcomplete3 --shell bash "$1" 2>/dev/null
diff -pruN bash-completion-2.15.0.old/completions/_yum bash-completion-2.15.0/completions/_yum
--- bash-completion-2.15.0.old/completions/_yum	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/_yum	2024-11-30 21:20:52.387635501 +0100
@@ -9,12 +9,12 @@ _comp_cmd_yum__list()
         # Try to strip in between headings like "Available Packages"
         # This will obviously only work for English :P
         _comp_split COMPREPLY "$(yum -d 0 -C list "$1" "$cur*" 2>/dev/null |
-            command sed -ne '/^Available /d' -e '/^Installed /d' \
+            command gsed -ne '/^Available /d' -e '/^Installed /d' \
                 -e '/^Updated /d' -e 's/[[:space:]].*//p')"
     else
         # Drop first line (e.g. "Updated Packages")
         _comp_split COMPREPLY "$(yum -d 0 -C list "$1" "$cur*" 2>/dev/null |
-            command sed -ne 1d -e 's/[[:space:]].*//p')"
+            command gsed -ne 1d -e 's/[[:space:]].*//p')"
     fi
 }
 
@@ -25,7 +25,7 @@ _comp_cmd_yum__compgen_repolist()
     # Drop first ("repo id      repo name") and last ("repolist: ...") rows
     _comp_compgen_split -- "$(
         yum --noplugins -C repolist "$1" 2>/dev/null |
-            command sed -ne '/^repo[[:space:]]\{1,\}id/d' -e '/^repolist:/d' \
+            command gsed -ne '/^repo[[:space:]]\{1,\}id/d' -e '/^repolist:/d' \
                 -e 's/[[:space:]].*//p'
     )"
 }
@@ -36,7 +36,7 @@ _comp_cmd_yum__compgen_plugins()
     _comp_expand_glob files '/usr/lib/yum-plugins/*.py{,c,o}' || return
     _comp_compgen -U files split -- "$(
         printf '%s\n' "${files[@]}" |
-            command sed -ne 's|.*/\([^./]*\)\.py[co]\{0,1\}$|\1|p' | sort -u
+            command gsed -ne 's|.*/\([^./]*\)\.py[co]\{0,1\}$|\1|p' | sort -u
     )"
 }
 
diff -pruN bash-completion-2.15.0.old/completions/2to3 bash-completion-2.15.0/completions/2to3
--- bash-completion-2.15.0.old/completions/2to3	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/2to3	2024-11-30 21:20:51.869485182 +0100
@@ -11,7 +11,7 @@ _comp_cmd_2to3()
             ;;
         -f | --fix | -x | --nofix)
             _comp_compgen_split -- "$(
-                "$1" --list-fixes 2>/dev/null | command sed -e 1d
+                "$1" --list-fixes 2>/dev/null | command gsed -e 1d
             )"
             return
             ;;
diff -pruN bash-completion-2.15.0.old/completions/7z bash-completion-2.15.0/completions/7z
--- bash-completion-2.15.0.old/completions/7z	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/7z	2024-11-30 21:20:51.952186173 +0100
@@ -102,7 +102,7 @@ _comp_cmd_7z()
     else
         if [[ ${words[1]} == d ]]; then
             _comp_compgen_split -l -- "$(
-                "$1" l "${words[2]}" -slt 2>/dev/null | command sed -n \
+                "$1" l "${words[2]}" -slt 2>/dev/null | command gsed -n \
                     '/^Path =/s/^Path = \(.*\)$/\1/p' 2>/dev/null | tail -n+2
             )"
             compopt -o filenames
diff -pruN bash-completion-2.15.0.old/completions/abook bash-completion-2.15.0/completions/abook
--- bash-completion-2.15.0.old/completions/abook	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/abook	2024-11-30 21:20:52.085146523 +0100
@@ -23,11 +23,11 @@ _comp_cmd_abook()
     case $prev in
         --informat)
             _comp_compgen_split -- "$("$1" --formats |
-                command sed -n -e 's/^'$'\t''\([a-z]*\).*/\1/p' -e '/^$/q')"
+                command gsed -n -e 's/^'$'\t''\([a-z]*\).*/\1/p' -e '/^$/q')"
             ;;
         --outformat)
             _comp_compgen_split -- "$("$1" --formats |
-                command sed -n -e '/^$/,$s/^'$'\t''\([a-z]*\).*/\1/p')"
+                command gsed -n -e '/^$/,$s/^'$'\t''\([a-z]*\).*/\1/p')"
             ;;
         --infile)
             _comp_compgen -- -W stdin
diff -pruN bash-completion-2.15.0.old/completions/alias bash-completion-2.15.0/completions/alias
--- bash-completion-2.15.0.old/completions/alias	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/alias	2024-11-30 21:20:52.261131537 +0100
@@ -13,7 +13,7 @@ _comp_cmd_alias()
             _comp_compgen -- -A alias
             ;;
         *=)
-            COMPREPLY=("$(alias "${cur%=}" 2>/dev/null | command sed \
+            COMPREPLY=("$(alias "${cur%=}" 2>/dev/null | command gsed \
                 -e 's|^alias '"$cur"'\(.*\)$|\1|')")
             ;;
     esac
diff -pruN bash-completion-2.15.0.old/completions/appdata-validate bash-completion-2.15.0/completions/appdata-validate
--- bash-completion-2.15.0.old/completions/appdata-validate	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/appdata-validate	2024-11-30 21:20:52.186902379 +0100
@@ -10,7 +10,7 @@ _comp_cmd_appdata_validate()
             return
             ;;
         --output-format)
-            _comp_compgen_split -- "$("$1" --help | command sed -ne \
+            _comp_compgen_split -- "$("$1" --help | command gsed -ne \
                 's/--output-format.*\[\(.*\)\]/\1/' -e 's/|/ /gp')"
             return
             ;;
diff -pruN bash-completion-2.15.0.old/completions/apt-get bash-completion-2.15.0/completions/apt-get
--- bash-completion-2.15.0.old/completions/apt-get	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/apt-get	2024-11-30 21:20:52.152172063 +0100
@@ -80,7 +80,7 @@ _comp_cmd_apt_get()
             # Prefer `apt-cache` in the same dir as command
             local pathcmd
             pathcmd=$(type -P -- "$1") && local PATH=${pathcmd%/*}:$PATH
-            _comp_compgen_split -- "$(apt-cache policy | command sed -ne \
+            _comp_compgen_split -- "$(apt-cache policy | command gsed -ne \
                 's/^ *release.*[ ,]o=\(Debian\|Ubuntu\),a=\(\w*\).*/\2/p')"
             return
             ;;
diff -pruN bash-completion-2.15.0.old/completions/aptitude bash-completion-2.15.0/completions/aptitude
--- bash-completion-2.15.0.old/completions/aptitude	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/aptitude	2024-11-30 21:20:52.436491286 +0100
@@ -53,13 +53,13 @@ _comp_cmd_aptitude()
             ;;
         --target-release | --default-release | -${noargopts}t)
             _comp_compgen_split -l -- "$(apt-cache policy |
-                command sed -ne 's/.*release.o=Debian,a=\([_[:alnum:]]*\).*/\1/p')"
+                command gsed -ne 's/.*release.o=Debian,a=\([_[:alnum:]]*\).*/\1/p')"
             return
             ;;
     esac
 
     if [[ $cur == -* ]]; then
-        _comp_compgen -R help - <<<"$("$1" --help 2>&1 | command sed -e \
+        _comp_compgen -R help - <<<"$("$1" --help 2>&1 | command gsed -e \
             's/--with(out)-recommends/--without-recommends\n--with-recommends/')"
         ((${#COMPREPLY[@]})) || return 0
 
diff -pruN bash-completion-2.15.0.old/completions/arp bash-completion-2.15.0/completions/arp
--- bash-completion-2.15.0.old/completions/arp	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/arp	2024-11-30 21:20:52.408579941 +0100
@@ -37,7 +37,7 @@ _comp_cmd_arp()
     _comp_count_args -a "@(--device|--protocol|--file|--hw-type|-${noargopts}[iApfHt])"
     case $REPLY in
         1)
-            local ips=$("$1" -an | command sed -ne \
+            local ips=$("$1" -an | command gsed -ne \
                 's/.*(\([0-9]\{1,3\}\(\.[0-9]\{1,3\}\)\{3\}\)).*/\1/p')
             _comp_compgen -- -W '$ips'
             ;;
diff -pruN bash-completion-2.15.0.old/completions/beadm bash-completion-2.15.0/completions/beadm
--- bash-completion-2.15.0.old/completions/beadm	2020-01-11 19:58:32.000000000 +0100
+++ bash-completion-2.15.0/completions/beadm	2024-11-30 21:20:52.059642915 +0100
@@ -138,7 +138,7 @@ _beadm()
                           # entered BE name, so find snapshot for the particuler BE
                           if [[ "${prev}" != "rollback" ]]
                           then
-                            be_and_snapshots=( $(for K in echo "${!be_and_snapshots[@]}"; do echo ${be_and_snapshots[$K]} | grep "^${prev}@" | sed -e 's,.*@,,'; done) )
+                            be_and_snapshots=( $(for K in echo "${!be_and_snapshots[@]}"; do echo ${be_and_snapshots[$K]} | ggrep "^${prev}@" | gsed -e 's,.*@,,'; done) )
                           fi
                           ;;
                       esac
@@ -188,7 +188,7 @@ _beadm()
               local pprev="${COMP_WORDS[COMP_CWORD-2]}"
               local realcur="${cur##*=}"
               local zfsprop="${pprev%%@*}"; zfsprop="${zfsprop##*,}"
-              local zfsvals=( $(zfs get 2>&1 | nawk '$1 == "'${zfsprop}'" && $2 == "YES" { $1=""; $2=""; $3=""; print }' | sed -e 's,|,,g') )
+              local zfsvals=( $(zfs get 2>&1 | nawk '$1 == "'${zfsprop}'" && $2 == "YES" { $1=""; $2=""; $3=""; print }' | gsed -e 's,|,,g') )
               compopt -o nospace
               compopt -o nosort
               COMPREPLY=( $(compgen -W "${zfsvals[*]}" -- "${realcur}") )
@@ -206,7 +206,7 @@ _beadm()
                   # ZFS property values
                   local realcur=${cur##*=}
                   local zfsprop=${prev%%@*}; zfsprop=${zfsprop##*,}
-                  local zfsvals=( $(zfs get 2>&1 | nawk '$1 == "'${zfsprop}'" && $2 == "YES" { $1=""; $2=""; $3=""; print }' | sed -e 's,|,,g') )
+                  local zfsvals=( $(zfs get 2>&1 | nawk '$1 == "'${zfsprop}'" && $2 == "YES" { $1=""; $2=""; $3=""; print }' | gsed -e 's,|,,g') )
                   compopt -o nospace
                   compopt -o nosort
                   COMPREPLY=( $(compgen -W "${zfsvals[*]}" -- "${realcur}") )
diff -pruN bash-completion-2.15.0.old/completions/carton bash-completion-2.15.0/completions/carton
--- bash-completion-2.15.0.old/completions/carton	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/carton	2024-11-30 21:20:52.374062491 +0100
@@ -3,7 +3,7 @@
 _comp_cmd_carton__commands()
 {
     local cmds=$("$1" usage 2>&1 |
-        command sed -ne '/.*command.* is one of/{n;p;q;}')
+        command gsed -ne '/.*command.* is one of/{n;p;q;}')
     _comp_compgen -aF $' \t\n,' -- -W "$cmds"
 }
 
diff -pruN bash-completion-2.15.0.old/completions/ccze bash-completion-2.15.0/completions/ccze
--- bash-completion-2.15.0.old/completions/ccze	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/ccze	2024-11-30 21:20:52.278422170 +0100
@@ -30,7 +30,7 @@ _comp_cmd_ccze()
             ;;
         --plugin | -${noargopts}p)
             _comp_compgen_split -- "$("$1" --list-plugins | command \
-                sed -ne 's/^\([a-z0-9]\{1,\}\)[[:space:]]\{1,\}|.*/\1/p')"
+                gsed -ne 's/^\([a-z0-9]\{1,\}\)[[:space:]]\{1,\}|.*/\1/p')"
             return
             ;;
     esac
diff -pruN bash-completion-2.15.0.old/completions/cfrun bash-completion-2.15.0/completions/cfrun
--- bash-completion-2.15.0.old/completions/cfrun	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/cfrun	2024-11-30 21:20:52.149837527 +0100
@@ -33,7 +33,7 @@ _comp_cmd_cfrun()
                 done
                 [[ ! -f $hostfile ]] && return
 
-                _comp_compgen_split -- "$(command grep -v -E '(=|^$|^#)' \
+                _comp_compgen_split -- "$(command ggrep -v -E '(=|^$|^#)' \
                     "$hostfile")"
             fi
             ;;
diff -pruN bash-completion-2.15.0.old/completions/checksec bash-completion-2.15.0/completions/checksec
--- bash-completion-2.15.0.old/completions/checksec	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/checksec	2024-11-30 21:20:52.256344951 +0100
@@ -27,11 +27,11 @@ _comp_cmd_checksec()
             ;;
         --format)
             _comp_compgen_split -- "$("$1" --help 2>/dev/null |
-                command sed -ne 's/[{,}]/ /g;s/^[[:space:]]*--format=//p')"
+                command gsed -ne 's/[{,}]/ /g;s/^[[:space:]]*--format=//p')"
             ;;
         --output)
             _comp_compgen_split -- "$("$1" --help 2>/dev/null |
-                command sed -ne 's/[{,}]/ /g;s/^[[:space:]]*--output=//p')"
+                command gsed -ne 's/[{,}]/ /g;s/^[[:space:]]*--output=//p')"
             ;;
     esac
 
diff -pruN bash-completion-2.15.0.old/completions/complete bash-completion-2.15.0/completions/complete
--- bash-completion-2.15.0.old/completions/complete	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/complete	2024-11-30 21:20:52.297526404 +0100
@@ -29,7 +29,7 @@ _comp_cmd_complete()
             return
             ;;
         -*p | -*r)
-            _comp_compgen_split -l -- "$(complete -p | command sed -e 's|.* ||')"
+            _comp_compgen_split -l -- "$(complete -p | command gsed -e 's|.* ||')"
             return
             ;;
     esac
diff -pruN bash-completion-2.15.0.old/completions/cpan2dist bash-completion-2.15.0/completions/cpan2dist
--- bash-completion-2.15.0.old/completions/cpan2dist	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/cpan2dist	2024-11-30 21:20:52.161475152 +0100
@@ -29,7 +29,7 @@ _comp_cmd_cpan2dist()
         done
         [[ $packagelist ]] && _comp_split COMPREPLY "$(zgrep "^${cur//-/::}" \
             "$packagelist" 2>/dev/null | _comp_awk '{print $1}' |
-            command sed -e 's/::/-/g')"
+            command gsed -e 's/::/-/g')"
     fi
 } &&
     complete -F _comp_cmd_cpan2dist -o default cpan2dist
diff -pruN bash-completion-2.15.0.old/completions/curl bash-completion-2.15.0/completions/curl
--- bash-completion-2.15.0.old/completions/curl	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/curl	2024-11-30 21:20:52.277302619 +0100
@@ -80,7 +80,7 @@ _comp_cmd_curl()
         --engine)
             local engines=$(
                 "$1" --engine list 2>/dev/null |
-                    command grep "^[[:space:]]"
+                    command ggrep "^[[:space:]]"
             )
             _comp_compgen -- -W '$engines list'
             return
@@ -129,7 +129,7 @@ _comp_cmd_curl()
             return
             ;;
         --proto-default)
-            _comp_compgen_split "$("$1" --version 2>/dev/null | command sed -e '/Protocols/!d' -e 's/Protocols://')"
+            _comp_compgen_split "$("$1" --version 2>/dev/null | command gsed -e '/Protocols/!d' -e 's/Protocols://')"
             ;;
         --pubkey)
             _comp_compgen -x ssh identityfile pub
diff -pruN bash-completion-2.15.0.old/completions/cvs bash-completion-2.15.0/completions/cvs
--- bash-completion-2.15.0.old/completions/cvs	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/cvs	2024-11-30 21:20:51.919769798 +0100
@@ -262,7 +262,7 @@ _comp_cmd_cvs()
                     # far, but other changes (something other than
                     # changed/removed/new) may be missing.
                     _comp_compgen -a split -- "$(cvs -q diff --brief 2>&1 |
-                        command sed -ne '
+                        command gsed -ne '
                             # changed
                             s/^Files [^ ]* and \([^ ]*\) differ$/\1/p
                             # new/removed
diff -pruN bash-completion-2.15.0.old/completions/dict bash-completion-2.15.0/completions/dict
--- bash-completion-2.15.0.old/completions/dict	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/dict	2024-11-30 21:20:52.048065904 +0100
@@ -4,7 +4,7 @@ _comp_cmd_dict__compgen_dictdata()
 {
     # shellcheck disable=SC2086
     _comp_compgen_split -- "$(
-        "$@" 2>/dev/null | command sed -ne \
+        "$@" 2>/dev/null | command gsed -ne \
             's/^[[:blank:]]\{1,\}\([^[:blank:]]*\).*$/\1/p'
     )"
 }
@@ -56,11 +56,11 @@ _comp_cmd_dict()
     local dictfile=/usr/share/dict/words
     if [[ -r $dictfile ]]; then
         # Dictfile may be too large for practical compgen -W usage, so narrow
-        # it down with grep if $cur looks like something that's safe to embed
+        # it down with ggrep if $cur looks like something that's safe to embed
         # in a pattern instead.
         if [[ $cur == +([-A-Za-z0-9/.]) ]]; then
             _comp_compgen_split -- "$(
-                command grep "^${cur//./\\.}" "$dictfile"
+                command ggrep "^${cur//./\\.}" "$dictfile"
             )"
         else
             _comp_compgen_split -- "$(cat "$dictfile")"
